citestyle XML DTD: User Element View | [DTD Element View]
[Home] [Elements] | [Prev] [Next]

# Element CITSTYLE

## Synopsis

### Content Model

    (PRECEEDING?,FOLLOWING?,CITSEPARATOR,RANGESEPARATOR?,INTEXTDEF?,
     AUTHORONLY?,YEARONLY?)

### Attributes

Name | Type | Default Value
--- | --- | ---
INTEXTSEQUENCE | Enumeration: ASIS AUTHORDATE CITEKEY DATEASC DATEDESC | "AUTHORDATE"
STYLE | Enumeration: BOLD BOLDITALIC BOLDITULINE BOLDULINE ITALIC ITULINE NONE SUB SUPER ULINE | None

## Description

CITSTYLE defines the in-text citation style of the bibliography.

The STYLE attribute gives the processing system a hint on how this element should be rendered. The styles BOLD, ITALIC, and ULINE are available, as well as all of their combinations. In addition to this, SUB and SUPER can be used to indicate subscripts and superscripts. NONE can be used to explicitly state that no special formatting is desired

The INTEXTSEQUENCE attribute specifies the sorting order of citations within a multiple in-text citation. The value can be one of the following:

- ASIS: The citations appear in the sequence as they are cited in the text
- AUTHORDATE: The citations are sorted by authornames and publication dates.
- CITEKEY: The citations are sorted by the citation keys.
- DATEASC: The citations are sorted by date, older entries first.
- DATEDESC: The citations are sorted by date, older entries last.

### Parents

CITESTYLE

### Children

AUTHORONLY, CITSEPARATOR, FOLLOWING, INTEXTDEF, PRECEEDING, RANGESEPARATOR, YEARONLY

## Example

    <CITSTYLE INTEXTSEQUENCE="AUTHORDATE">
    <CITSEPARATOR>;</CITSEPARATOR>
    <RANGESEPARATOR>-</RANGESEPARATOR>
    <INTEXTDEF>
    <REFNUMBER>
    <PRECEEDING>[</PRECEEDING>
    <FOLLOWING>]</FOLLOWING>
    </REFNUMBER>
    </INTEXTDEF>
    </CITSTYLE>

HTML Presentation of citestyle XML DTD by DTDParse (version 2.00).